import { UiComponent } from "./UiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiTemplateTestContainerConfig } from "../generated/UiTemplateTestContainerConfig";
export declare class UiTemplateTestContainer extends UiComponent<UiTemplateTestContainerConfig> {
    private $panel;
    constructor(config: UiTemplateTestContainerConfig, context: TeamAppsUiContext);
    getMainDomElement(): JQuery;
    destroy(): void;
    protected onAttachedToDom(): void;
}
